List Course Offerings
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/courseOfferings \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/courseOfferings"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/courseOfferings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"sid": "<string>",
"title": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"createdDate": "<string>",
"editDate": "<string>"
}
]
}Course Offering
List Course Offerings
Returns a paginated list of course offerings (terms/semesters) for the specified application install.
Supports standard pagination via offset and limit.
GET
/
v1
/
installs
/
{installSid}
/
courseOfferings
List Course Offerings
Authorizations
Path Parameters
Unique SID of the application install. Pattern: AI + 32 hex chars.
Pattern:
^AI[a-f0-9]{32}$Example:
"AI1234567890abcdef1234567890abcdef"
Query Parameters
Zero-based offset for pagination. Indicates how many records to skip.
Required range:
x >= 0Example:
0
Maximum number of course offering records to return.
Required range:
x >= 0Example:
25
Response
200 - application/json
Successful
Total number of results
URL for first page
URL for next page
URL for previous page
URL for last page
Number of results in this page
Current offset
Course offering records
Show child attributes
Show child attributes
Was this page helpful?
